## org.w3c.dom.svg
Interface SVGRadialGradientElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGGradientElement, SVGStylable, SVGUnitTypes, SVGURIReference

All Known Implementing Classes:
  SVGOMRadialGradientElement

public interface SVGRadialGradientElement
extends SVGGradientElement

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGGradientElement
`SVG_SPREADMETHOD_PAD, SVG_SPREADMETHOD_REFLECT, SVG_SPREADMETHOD_REPEAT, SVG_SPREADMETHOD_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGUnitTypes
`SVG_UNIT_TYPE_OBJECTBOUNDINGBOX, SVG_UNIT_TYPE_UNKNOWN, SVG_UNIT_TYPE_USERSPACEONUSE`

Method Summary
`SVGAnimatedLength` `getCx()`
`SVGAnimatedLength` `getCy()`
`SVGAnimatedLength` `getFx()`
`SVGAnimatedLength` `getFy()`
`SVGAnimatedLength` `getR()`

Methods inherited from interface org.w3c.dom.svg.SVGGradientElement
`getGradientTransform, getGradientUnits, getSpreadMethod`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Method Detail

### getCx

    public SVGAnimatedLength getCx()

### getCy

    public SVGAnimatedLength getCy()

### getR

    public SVGAnimatedLength getR()

### getFx

    public SVGAnimatedLength getFx()

### getFy

    public SVGAnimatedLength getFy()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.